Loading...
Searching...
No Matches
character_sets-inl.h File Reference

Definitions of the character sets used by unicode functions. More...

`#include "ada/character_sets.h"`

Go to the source code of this file.

## Namespaces

namespace | ada
namespace | ada::character_sets
| Includes the definitions for unicode character sets.

## Functions

ada_really_inline constexpr bool | ada::character_sets::bit_at (const uint8_t a[], const uint8_t i)

## Variables

constexpr char | ada::character_sets::hex [1024]
constexpr uint8_t | ada::character_sets::C0_CONTROL_PERCENT_ENCODE [32]
constexpr uint8_t | ada::character_sets::SPECIAL_QUERY_PERCENT_ENCODE [32]
constexpr uint8_t | ada::character_sets::QUERY_PERCENT_ENCODE [32]
constexpr uint8_t | ada::character_sets::FRAGMENT_PERCENT_ENCODE [32]
constexpr uint8_t | ada::character_sets::USERINFO_PERCENT_ENCODE [32]
constexpr uint8_t | ada::character_sets::PATH_PERCENT_ENCODE [32]
constexpr uint8_t | ada::character_sets::WWW_FORM_URLENCODED_PERCENT_ENCODE [32]

## Detailed Description

Definitions of the character sets used by unicode functions.

Author
  Node.js

See also
  https://github.com/nodejs/node/blob/main/src/node_url_tables.cc

Definition in file character_sets-inl.h.